import { Plugin } from 'ckeditor5/src/core';
import LoremIpsumCommand from './loremIpsumCommand';

export default class LoremIpsumEditing extends Plugin {
  static get pluginName() {
    return 'LoremIpsumEditing';
  }

  init() {
    const editor = this.editor;

    // Register the command.
    editor.commands.add('loremIpsum', new LoremIpsumCommand(editor));
  }
}
